Show / Hide Table of Contents

# Class FileChange

Contains details relating to a content change in an open file.

##### Inheritance

System.Object
FileChange

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class FileChange

### Properties

| Improve this Doc View Source

#### EndLine

The 1-based line number where the change ends.

##### Declaration

    public int EndLine { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### EndOffset

The 1-based column offset where the change ends.

##### Declaration

    public int EndOffset { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### InsertString

The string which is to be inserted in the file.

##### Declaration

    public string InsertString { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Line

The 1-based line number where the change starts.

##### Declaration

    public int Line { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Offset

The 1-based column offset where the change starts.

##### Declaration

    public int Offset { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |